Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 815305 - Min/max constraints on PropertyList not honored
Summary: Min/max constraints on PropertyList not honored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ---
: RHQ 4.5.0
Assignee: Mike Thompson
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 820425
TreeView+ depends on / blocked
 
Reported: 2012-04-23 10:25 UTC by Heiko W. Rupp
Modified: 2013-09-01 10:16 UTC (History)
3 users (show)

Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-01 10:16:46 UTC


Attachments (Terms of Use)
Max bounds alert (deleted)
2012-07-12 19:33 UTC, Mike Thompson
no flags Details
Min bounds alert (deleted)
2012-07-12 19:34 UTC, Mike Thompson
no flags Details

Description Heiko W. Rupp 2012-04-23 10:25:20 UTC
On

<c:list-property> it is possible  to specify the min/max number of occurrences of items of the contained
type .
Unfortunately this is not honored at all in core gui.

Digging into it, shows that the PropertyDefinitionList has the min/max attribute marked as
@Transient -> so they are not even stored in the database.

This would be needed to to say that an XA-Datasource in as7 needs at least one XA-property

Comment 2 Mike Foley 2012-04-23 16:11:02 UTC
setting priority to medium per BZ triage 4/23 (crouch, santos, oleary, foley)

Comment 3 Heiko W. Rupp 2012-04-24 15:24:42 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=802467#c4

Comment 4 Mike Thompson 2012-07-12 19:33:38 UTC
Created attachment 597887 [details]
Max bounds alert

Comment 5 Mike Thompson 2012-07-12 19:34:04 UTC
Created attachment 597888 [details]
Min bounds alert

Comment 6 Mike Thompson 2012-07-12 21:28:01 UTC
Master commit id: 46f6c86

UI now detects the min and max attributes on the PropertyDefinitionList and validates the number of elements based on the plugin xml config values. See attached screen shots for what the alerting looks like.

Comment 7 John Mazzitelli 2012-07-13 18:34:49 UTC
this is the description from 5 years ago - JBNADM-1595, created by Heiko:

Heiko is always ahead of his time :-)

--------------
Testcase in PluginHandlingTest.testListPropertyMinMax()

Input:
<resource-configuration>
<list-property name="a"
description="Yada !"
min="4"
max="6" />

name and description are correctly set, but not min and max

Looking at PropertyDefinitionList shows that the properties min/max are transient. IMHO this makes the properties useless.
-------------

Comment 8 Heiko W. Rupp 2013-09-01 10:16:46 UTC
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.


Note You need to log in before you can comment on or make changes to this bug.